Subject: RE: [Diffserv] Some comments on Diff-Serve Conceptual Model Draf t 3

From: Andrew Smith <[email-masked]>
Date: Thu, 1 Jun 2000 14:53:51 -0700

Mark,

> -----Original Message-----
> From: Mark Stewart [mailto:[email-masked]]
> Sent: Thursday, June 01, 2000 2:05 PM
> To: [email-masked]
> Subject: Re: [Diffserv] Some comments on Diff-Serve Conceptual Model
> Draft 3
...
>
> On general principals I'm unhappy with the flag 
> it at the front solution but I do
> agree that something should be done.

Are you happy with the definitions that I proposed last week to add to the
glossary?
...
> > Section 6.2 defines the absolute dropper and refers to 
> section 6.6 on algorithmic
> > droppers which dosen't seem to exist.

Thanks - should be 7.1.3.

> > Section 7.1 defines a queueing block as containing zero or 
> more algorithmic
> > droppers, but not an absolute dropper.

That's correct - absolute droppers are considered to be action elements;
algorithmic droppers are considered to be queueing elements. It's a fairly
arbitrary distinction, based on plumbing diagrams as I explained earlier,
but things seem to fit together better this way.

> Figure 5 Section 7.1.3 seems to preclude actions 
> other than tail drop ( e.g. head drop )

Thanks - that wasn't the intent: I drew that picture thinking that the
algorithmic dropper could be placed either ahead of or behind the FIFO
element: the words or picture need to be clearer that head drop is
explicitly permitted. One question still in my mind is whether the choice is
between {headDrop, tailDrop, randomDrop} or whether {head, tail} was one
choice and {deterministic, random} was an orthogonal choice. Am I getting
confused about what the "randomness" applies to (is it w.r.t. *this packet*
or is the choice of which packet to drop actually random?) Any opinions?  

> Is an algorithmic dropper intended to be an action element?

See above.

> My understanding was that the distinction between 
> "absolute" and "algorthmic"
> droppers was simply to place
> a label on droppers which had a simple decision (i.e. oh 
> the buffer is full) and
> those which had a more sophisticated
> decision ( that threshold has been reached, or a policing 
> action having been
> reached). Is this correct or is something more
> fundamental going on here?

No, absolute means "always"; algorithmic means "choose some algorithm".
Algorithms could be deterministic ("drop when full") or random ("maybe drop
when getting full").

> > Ciao
> > Mark Stewart
 
Hope that helps,

Andrew

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/